Subject: [dhcwg] [Errata Verified] RFC6704 (4995)

From: RFC Errata System <[email-masked]>
Date: Wed, 19 Apr 2017 15:38:25 -0700 (PDT)

The following errata report has been verified for RFC6704,
"Forcerenew Nonce Authentication". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6704&eid=4995

--------------------------------------
Status: Verified
Type: Technical

Reported by: Niels Widger <[email-masked]>
Date Reported: 2017-04-14
Verified by: Suresh Krishnan (IESG)

Section: 4

Original Text
-------------
   IANA has assigned the following new DHCPv4 option code from the
   registry "BOOTP Vendor Extensions and DHCP Options" maintained at
   http://www.iana.org/assignments/bootp-dhcp-parameters:

   Tag: 145

   Name: FORCERENEW_NONCE_CAPABLE

   Data length: 1

   Description: Forcerenew Nonce Capable

   Reference: this document

Corrected Text
--------------
   IANA has assigned the following new DHCPv4 option code from the
   registry "BOOTP Vendor Extensions and DHCP Options" maintained at
   http://www.iana.org/assignments/bootp-dhcp-parameters:

   Tag: 145

   Name: FORCERENEW_NONCE_CAPABLE

   Data length: n

   Description: Forcerenew Nonce Capable

   Reference: this document

Notes
-----
RFC 6704 Section 3.1.1 states that the FORCERENEW_NONCE_CAPABLE option is variable length and contains a list of algorithm types:

The FORCERENEW_NONCE_CAPABLE option contains code 145, length n, and
   a sequence of algorithms the client supports:

             Code   Len   Algorithms
            +-----+-----+----+----+----+
            | 145 |  n  | A1 | A2 | A3 | ....
            +-----+-----+----+----+----+

                 Figure 1: FORCERENEW_NONCE_CAPABLE Option

Verifier's note(Suresh Krishnan - INT AD): This erratum is correct and it requires a change in the IANA registry. I authorize IANA to make this change.

--------------------------------------
RFC6704 (draft-ietf-dhc-forcerenew-nonce-07)
--------------------------------------
Title               : Forcerenew Nonce Authentication
Publication Date    : August 2012
Author(s)           : D. Miles, W. Dec, J. Bristow, R. Maglione
Category            : PROPOSED STANDARD
Source              : Dynamic Host Configuration
Area                : Internet
Stream              : IETF
Verifying Party     : IESG